# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "weaver-coordination"
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["IBM Research, Model Driven Management Technologies Group"]
  s.date = "2012-11-06"
  s.description = "This gem provides a ruby client library to interact with Zookeeper."
  s.email = "rosenberg@us.ibm.com"
  s.extra_rdoc_files = ["README.rdoc"]
  s.files = ["README.rdoc"]
  s.homepage = "http://weaver.pok.ibm.com"
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.24"
  s.summary = "A Weaver library for coordinating recipe startup across nodes."

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<zk>, [">= 1.7.5"])
      s.add_development_dependency(%q<rspec>, ["~> 2.10.0"])
    else
      s.add_dependency(%q<zk>, [">= 1.7.5"])
      s.add_dependency(%q<rspec>, ["~> 2.10.0"])
    end
  else
    s.add_dependency(%q<zk>, [">= 1.7.5"])
    s.add_dependency(%q<rspec>, ["~> 2.10.0"])
  end
end
