# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "devops_library"
  s.version = "0.2.5"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["John Ryding"]
  s.date = "2013-02-26"
  s.description = "This gem provides a framework that will simplify the creation and publishing of library assets."
  s.email = ["jryding@us.ibm.com"]
  s.extra_rdoc_files = ["README.rdoc"]
  s.files = ["README.rdoc"]
  s.homepage = "http://devops.raleigh.ibm.com"
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.24"
  s.summary = "A framework to simplify the packaging of assets and publishing them to a library."

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<devops_core>, [">= 0"])
      s.add_runtime_dependency(%q<rest-client>, ["~> 1.6.7"])
      s.add_runtime_dependency(%q<json>, [">= 1.5.0"])
      s.add_runtime_dependency(%q<rubyzip>, ["~> 0.9.5"])
      s.add_development_dependency(%q<cucumber>, [">= 1.2.0"])
    else
      s.add_dependency(%q<devops_core>, [">= 0"])
      s.add_dependency(%q<rest-client>, ["~> 1.6.7"])
      s.add_dependency(%q<json>, [">= 1.5.0"])
      s.add_dependency(%q<rubyzip>, ["~> 0.9.5"])
      s.add_dependency(%q<cucumber>, [">= 1.2.0"])
    end
  else
    s.add_dependency(%q<devops_core>, [">= 0"])
    s.add_dependency(%q<rest-client>, ["~> 1.6.7"])
    s.add_dependency(%q<json>, [">= 1.5.0"])
    s.add_dependency(%q<rubyzip>, ["~> 0.9.5"])
    s.add_dependency(%q<cucumber>, [">= 1.2.0"])
  end
end
